libgimpprint API Reference: escp2-inks.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/escp2-inks.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include "gimp-print-internal.h"`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include "print-escp2.h"`

Go to the source code of this file.

## Variables
const escp2_dropsize_t | escp2_single_dropsizes
const escp2_dropsize_t | escp2_low_dropsizes
const escp2_dropsize_t | escp2_6pl_dropsizes
const escp2_dropsize_t | escp2_6pl_1440_dropsizes
const escp2_dropsize_t | escp2_6pl_2880_dropsizes
const escp2_dropsize_t | escp2_x80_low_dropsizes
const escp2_dropsize_t | escp2_x80_6pl_dropsizes
const escp2_dropsize_t | escp2_x80_1440_6pl_dropsizes
const escp2_dropsize_t | escp2_x80_2880_6pl_dropsizes
const escp2_dropsize_t | escp2_new_low_dropsizes
const escp2_dropsize_t | escp2_new_6pl_dropsizes
const escp2_dropsize_t | escp2_new_4pl_dropsizes
const escp2_dropsize_t | escp2_4pl_2880_dropsizes
const escp2_dropsize_t | escp2_4pl_dropsizes
const escp2_dropsize_t | escp2_3pl_dropsizes
const escp2_dropsize_t | escp2_3pl_1440_dropsizes
const escp2_dropsize_t | escp2_3pl_2880_dropsizes
const escp2_dropsize_t | escp2_980_6pl_dropsizes
const escp2_dropsize_t | escp2_2pl_360_dropsizes
const escp2_dropsize_t | escp2_2pl_720_dropsizes
const escp2_dropsize_t | escp2_2pl_1440_dropsizes
const escp2_dropsize_t | escp2_2pl_2880_dropsizes
const escp2_dropsize_t | escp2_1_5pl_360_dropsizes
const escp2_dropsize_t | escp2_1_5pl_720_dropsizes
const escp2_dropsize_t | escp2_1_5pl_1440_dropsizes
const escp2_dropsize_t | escp2_1_5pl_2880_dropsizes
const escp2_dropsize_t | escp2_r300_360_dropsizes
const escp2_dropsize_t | escp2_r300_720_dropsizes
const escp2_dropsize_t | escp2_r300_1440_dropsizes
const escp2_dropsize_t | escp2_r300_2880_dropsizes
const escp2_dropsize_t | escp2_r300_2880_1440_dropsizes
const escp2_dropsize_t | escp2_economy_pigment_dropsizes
const escp2_dropsize_t | escp2_low_pigment_dropsizes
const escp2_dropsize_t | escp2_6pl_pigment_dropsizes
const escp2_dropsize_t | escp2_3pl_pigment_dropsizes
const escp2_dropsize_t | escp2_3pl_pigment_2880_dropsizes
const escp2_dropsize_t | escp2_3pl_pigment_5760_dropsizes
const escp2_dropsize_t | escp2_2000p_dropsizes
const escp2_dropsize_t | escp2_ultrachrome_low_dropsizes
const escp2_dropsize_t | escp2_ultrachrome_720_dropsizes
const escp2_dropsize_t | escp2_ultrachrome_2880_dropsizes
const escp2_dropsize_t | escp2_spro10000_dropsizes
const escp2_drop_list_t | stpi_escp2_simple_drops
const escp2_drop_list_t | stpi_escp2_variable_6pl_drops
const escp2_drop_list_t | stpi_escp2_variable_x80_6pl_drops
const escp2_drop_list_t | stpi_escp2_variable_1440_4pl_drops
const escp2_drop_list_t | stpi_escp2_variable_2880_4pl_drops
const escp2_drop_list_t | stpi_escp2_variable_3pl_drops
const escp2_drop_list_t | stpi_escp2_variable_2pl_drops
const escp2_drop_list_t | stpi_escp2_variable_3pl_pmg_drops
const escp2_drop_list_t | stpi_escp2_variable_1_5pl_drops
const escp2_drop_list_t | stpi_escp2_variable_2000p_drops
const escp2_drop_list_t | stpi_escp2_variable_ultrachrome_drops
const escp2_drop_list_t | stpi_escp2_variable_3pl_pigment_drops
const escp2_drop_list_t | stpi_escp2_spro10000_drops

## Variable Documentation

const escp2_dropsize_t escp2_1_5pl_1440_dropsizes`[static]`

| Initial value:
      { "1_5pl_1440", 3, { 0.231, 0.462, 1.0 } }
Definition at line 103 of file escp2-inks.c.

const escp2_dropsize_t escp2_1_5pl_2880_dropsizes`[static]`

| Initial value:
      { "1_5pl_2880", 3, { 0.25, 0.50, 1.0 } }
Definition at line 109 of file escp2-inks.c.

const escp2_dropsize_t escp2_1_5pl_360_dropsizes`[static]`

| Initial value:
      { "1_5pl_360", 3, { 0.25, 0.5, 1.0 } }
Definition at line 92 of file escp2-inks.c.

const escp2_dropsize_t escp2_1_5pl_720_dropsizes`[static]`

| Initial value:
      { "1_5pl_720", 3, { 0.35, 0.70, 1.0 } }
Definition at line 95 of file escp2-inks.c.

const escp2_dropsize_t escp2_2000p_dropsizes`[static]`

| Initial value:
      { "2000p", 2, { 0.55, 1.0 } }
Definition at line 139 of file escp2-inks.c.

const escp2_dropsize_t escp2_2pl_1440_dropsizes`[static]`

| Initial value:
      { "2pl_1440", 2, { 0.5, 1.0 } }
Definition at line 85 of file escp2-inks.c.

const escp2_dropsize_t escp2_2pl_2880_dropsizes`[static]`

| Initial value:
      { "2pl_2880", 1, { 1.0 } }
Definition at line 87 of file escp2-inks.c.

const escp2_dropsize_t escp2_2pl_360_dropsizes`[static]`

| Initial value:
      { "2pl_360", 3, { 0.25, 0.5, 1.0 } }
Definition at line 81 of file escp2-inks.c.

const escp2_dropsize_t escp2_2pl_720_dropsizes`[static]`

| Initial value:
      { "2pl_720", 3, { 0.25, 0.5, 1.0 } }
Definition at line 83 of file escp2-inks.c.

const escp2_dropsize_t escp2_3pl_1440_dropsizes`[static]`

| Initial value:
      { "3pl_1440", 3, { 0.39, 1.0 } }
Definition at line 73 of file escp2-inks.c.

const escp2_dropsize_t escp2_3pl_2880_dropsizes`[static]`

| Initial value:
      { "3pl_2880", 3, { 1.0 } }
Definition at line 75 of file escp2-inks.c.

const escp2_dropsize_t escp2_3pl_dropsizes`[static]`

| Initial value:
      { "3pl", 3, { 0.25, 0.61, 1.0 } }
Definition at line 71 of file escp2-inks.c.

const escp2_dropsize_t escp2_3pl_pigment_2880_dropsizes`[static]`

| Initial value:
      { "3pl_pigment_2880", 2, { 0.5, 1.0 } }
Definition at line 133 of file escp2-inks.c.

const escp2_dropsize_t escp2_3pl_pigment_5760_dropsizes`[static]`

| Initial value:
      { "3pl_pigment_5760", 1, { 1.0 } }
Definition at line 135 of file escp2-inks.c.

const escp2_dropsize_t escp2_3pl_pigment_dropsizes`[static]`

| Initial value:
      { "3pl_pigment", 3, { 0.25, 0.5, 1.0 } }
Definition at line 131 of file escp2-inks.c.

const escp2_dropsize_t escp2_4pl_2880_dropsizes`[static]`

| Initial value:
      { "4pl_2880", 1, { 1.0 } }
Definition at line 63 of file escp2-inks.c.

const escp2_dropsize_t escp2_4pl_dropsizes`[static]`

| Initial value:
      { "4pl", 3, { 0.33, 0.50, 1.0 } }
Definition at line 67 of file escp2-inks.c.

const escp2_dropsize_t escp2_6pl_1440_dropsizes`[static]`

| Initial value:
      { "6pl_1440", 2, { 0.5, 1.0 } }
Definition at line 41 of file escp2-inks.c.

const escp2_dropsize_t escp2_6pl_2880_dropsizes`[static]`

| Initial value:
      { "6pl_2880", 1, { 1.0 } }
Definition at line 43 of file escp2-inks.c.

const escp2_dropsize_t escp2_6pl_dropsizes`[static]`

| Initial value:
      { "6pl", 3, { 0.25, 0.5, 1.0 } }
Definition at line 39 of file escp2-inks.c.

const escp2_dropsize_t escp2_6pl_pigment_dropsizes`[static]`

| Initial value:
      { "6pl_pigment", 3, { 0.28, 0, 1.0 } }
Definition at line 129 of file escp2-inks.c.

const escp2_dropsize_t escp2_980_6pl_dropsizes`[static]`

| Initial value:
      { "980_6pl", 3, { 0.40, 0.675, 1.0 } }
Definition at line 77 of file escp2-inks.c.

const escp2_dropsize_t escp2_economy_pigment_dropsizes`[static]`

| Initial value:
      { "economy_pigment", 3, { 0, 0, 1.0 } }
Definition at line 125 of file escp2-inks.c.

const escp2_dropsize_t escp2_low_dropsizes`[static]`

| Initial value:
      { "low", 3, { 0.28, 0.58, 1.0 } }
Definition at line 37 of file escp2-inks.c.

const escp2_dropsize_t escp2_low_pigment_dropsizes`[static]`

| Initial value:
      { "low_pigment", 3, { 0.28, 0, 1.0 } }
Definition at line 127 of file escp2-inks.c.

const escp2_dropsize_t escp2_new_4pl_dropsizes`[static]`

| Initial value:
      { "680_4pl", 3, { 0.50, 0.75, 1.0 } }
Definition at line 61 of file escp2-inks.c.

const escp2_dropsize_t escp2_new_6pl_dropsizes`[static]`

| Initial value:
      { "680_6pl", 3, { 0.375, 0.50, 1.0 } }
Definition at line 59 of file escp2-inks.c.

const escp2_dropsize_t escp2_new_low_dropsizes`[static]`

| Initial value:
      { "680_low", 3, { 0.375, 0.75, 1.0 } }
Definition at line 57 of file escp2-inks.c.

const escp2_dropsize_t escp2_r300_1440_dropsizes`[static]`

| Initial value:
      { "r300_1440", 3, { 0.25, 0.5, 1.0 } }
Definition at line 117 of file escp2-inks.c.

const escp2_dropsize_t escp2_r300_2880_1440_dropsizes`[static]`

| Initial value:
      { "r300_2880_1440", 1, { 1.0 } }
Definition at line 121 of file escp2-inks.c.

const escp2_dropsize_t escp2_r300_2880_dropsizes`[static]`

| Initial value:
      { "r300_2880", 2, { 0.5, 1.0 } }
Definition at line 119 of file escp2-inks.c.

const escp2_dropsize_t escp2_r300_360_dropsizes`[static]`

| Initial value:
      { "r300_360", 3, { 0.15, 0.3, 1.0 } }
Definition at line 113 of file escp2-inks.c.

const escp2_dropsize_t escp2_r300_720_dropsizes`[static]`

| Initial value:
      { "r300_720", 3, { 0.15, 0.5, 1.0 } }
Definition at line 115 of file escp2-inks.c.

const escp2_dropsize_t escp2_single_dropsizes`[static]`

| Initial value:
      { "single", 1, { 1.0 } }
Definition at line 33 of file escp2-inks.c.

const escp2_dropsize_t escp2_spro10000_dropsizes`[static]`

| Initial value:
      { "spro10000", 2, { 0.661, 1.0 } }
Definition at line 151 of file escp2-inks.c.

const escp2_dropsize_t escp2_ultrachrome_2880_dropsizes`[static]`

| Initial value:
      { "ultrachrome_2880", 1, { 1.0 } }
Definition at line 147 of file escp2-inks.c.

const escp2_dropsize_t escp2_ultrachrome_720_dropsizes`[static]`

| Initial value:
      { "ultrachrome_720", 3, { 0.2, 0.45, 1.0 } }
Definition at line 145 of file escp2-inks.c.

const escp2_dropsize_t escp2_ultrachrome_low_dropsizes`[static]`

| Initial value:
      { "ultrachrome_low", 3, { 0.16, 0.4, 1.0 } }
Definition at line 143 of file escp2-inks.c.

const escp2_dropsize_t escp2_x80_1440_6pl_dropsizes`[static]`

| Initial value:
      { "x80_1440_6pl", 2, { 0.65, 1.0 } }
Definition at line 51 of file escp2-inks.c.

const escp2_dropsize_t escp2_x80_2880_6pl_dropsizes`[static]`

| Initial value:
      { "x80_2880_6pl", 1, { 1.0 } }
Definition at line 53 of file escp2-inks.c.

const escp2_dropsize_t escp2_x80_6pl_dropsizes`[static]`

| Initial value:
      { "x80_6pl", 3, { 0.325, 0.5, 1.0 } }
Definition at line 49 of file escp2-inks.c.

const escp2_dropsize_t escp2_x80_low_dropsizes`[static]`

| Initial value:
      { "x80_low", 3, { 0.325, 0.5, 1.0 } }
Definition at line 47 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_simple_drops

| Initial value:
    {
      &escp2_single_dropsizes,
      &escp2_single_dropsizes,
      &escp2_single_dropsizes,
      &escp2_single_dropsizes,
      &escp2_single_dropsizes,
      &escp2_single_dropsizes,
      &escp2_single_dropsizes,
      &escp2_single_dropsizes,
    }
Definition at line 154 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_spro10000_drops

| Initial value:
    {
      &escp2_spro10000_dropsizes,
      &escp2_spro10000_dropsizes,
      &escp2_spro10000_dropsizes,
      &escp2_spro10000_dropsizes,
      &escp2_spro10000_dropsizes,
      &escp2_spro10000_dropsizes,
      &escp2_spro10000_dropsizes,
      &escp2_spro10000_dropsizes
    }
Definition at line 298 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_variable_1440_4pl_drops

| Initial value:
    {
      &escp2_low_dropsizes,
      &escp2_low_dropsizes,
      &escp2_low_dropsizes,
      &escp2_6pl_dropsizes,
      &escp2_4pl_dropsizes,
      &escp2_4pl_2880_dropsizes,
      &escp2_4pl_2880_dropsizes,
      &escp2_4pl_2880_dropsizes,
    }
Definition at line 190 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_variable_1_5pl_drops

| Initial value:
    {
      &escp2_1_5pl_360_dropsizes,
      &escp2_1_5pl_360_dropsizes,
      &escp2_1_5pl_360_dropsizes,
      &escp2_1_5pl_720_dropsizes,
      &escp2_1_5pl_1440_dropsizes,
      &escp2_1_5pl_2880_dropsizes,
      &escp2_1_5pl_2880_dropsizes,
      &escp2_1_5pl_2880_dropsizes,
    }
Definition at line 250 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_variable_2000p_drops

| Initial value:
    {
      &escp2_2000p_dropsizes,
      &escp2_2000p_dropsizes,
      &escp2_2000p_dropsizes,
      &escp2_2000p_dropsizes,
      &escp2_2000p_dropsizes,
      &escp2_2000p_dropsizes,
      &escp2_2000p_dropsizes,
      &escp2_2000p_dropsizes
    }
Definition at line 262 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_variable_2880_4pl_drops

| Initial value:
    {
      &escp2_new_low_dropsizes,
      &escp2_new_low_dropsizes,
      &escp2_new_low_dropsizes,
      &escp2_new_6pl_dropsizes,
      &escp2_new_4pl_dropsizes,
      &escp2_4pl_2880_dropsizes,
      &escp2_4pl_2880_dropsizes,
      &escp2_4pl_2880_dropsizes,
    }
Definition at line 202 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_variable_2pl_drops

| Initial value:
    {
      &escp2_2pl_360_dropsizes,
      &escp2_2pl_360_dropsizes,
      &escp2_2pl_360_dropsizes,
      &escp2_2pl_720_dropsizes,
      &escp2_2pl_1440_dropsizes,
      &escp2_2pl_2880_dropsizes,
      &escp2_2pl_2880_dropsizes,
      &escp2_2pl_2880_dropsizes,
    }
Definition at line 226 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_variable_3pl_drops

| Initial value:
    {
      &escp2_low_dropsizes,
      &escp2_low_dropsizes,
      &escp2_980_6pl_dropsizes,
      &escp2_3pl_dropsizes,
      &escp2_3pl_1440_dropsizes,
      &escp2_3pl_2880_dropsizes,
      &escp2_3pl_2880_dropsizes,
      &escp2_3pl_2880_dropsizes,
    }
Definition at line 214 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_variable_3pl_pigment_drops

| Initial value:
    {
      &escp2_economy_pigment_dropsizes,
      &escp2_low_pigment_dropsizes,
      &escp2_low_pigment_dropsizes,
      &escp2_6pl_pigment_dropsizes,
      &escp2_3pl_pigment_dropsizes,
      &escp2_3pl_pigment_2880_dropsizes,
      &escp2_3pl_pigment_5760_dropsizes,
      &escp2_3pl_pigment_5760_dropsizes,
    }
Definition at line 286 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_variable_3pl_pmg_drops

| Initial value:
    {
      &escp2_r300_360_dropsizes,
      &escp2_r300_360_dropsizes,
      &escp2_r300_360_dropsizes,
      &escp2_r300_720_dropsizes,
      &escp2_r300_1440_dropsizes,
      &escp2_r300_2880_dropsizes,
      &escp2_r300_2880_1440_dropsizes,
      &escp2_r300_2880_1440_dropsizes,
    }
Definition at line 238 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_variable_6pl_drops

| Initial value:
    {
      &escp2_6pl_dropsizes,
      &escp2_6pl_dropsizes,
      &escp2_6pl_dropsizes,
      &escp2_6pl_dropsizes,
      &escp2_6pl_1440_dropsizes,
      &escp2_6pl_2880_dropsizes,
      &escp2_6pl_2880_dropsizes,
      &escp2_6pl_2880_dropsizes
    }
Definition at line 166 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_variable_ultrachrome_drops

| Initial value:
    {
      &escp2_ultrachrome_low_dropsizes,
      &escp2_ultrachrome_low_dropsizes,
      &escp2_ultrachrome_low_dropsizes,
      &escp2_ultrachrome_720_dropsizes,
      &escp2_ultrachrome_720_dropsizes,
      &escp2_ultrachrome_2880_dropsizes,
      &escp2_ultrachrome_2880_dropsizes,
      &escp2_ultrachrome_2880_dropsizes,
    }
Definition at line 274 of file escp2-inks.c.

const escp2_drop_list_t stpi_escp2_variable_x80_6pl_drops

| Initial value:
    {
      &escp2_x80_low_dropsizes,
      &escp2_x80_low_dropsizes,
      &escp2_x80_low_dropsizes,
      &escp2_x80_6pl_dropsizes,
      &escp2_x80_1440_6pl_dropsizes,
      &escp2_x80_2880_6pl_dropsizes,
      &escp2_x80_2880_6pl_dropsizes,
      &escp2_x80_2880_6pl_dropsizes,
    }
Definition at line 178 of file escp2-inks.c.